# Legal Representation

If a borrower is represented by a legal entity you can add the legal entity details.
Normally, if a borrower is represented by a status=`active` legal entity we block
future debt collection related communications.

 - [GET /people/{personId}/legal-representatives](https://docs.peachfinance.com/api-docs/api-public/legal-representation/peach.people.legal.handlers.legal_representative_get_all.md)
 - [POST /people/{personId}/legal-representatives](https://docs.peachfinance.com/api-docs/api-public/legal-representation/peach.people.legal.handlers.legal_representative_add.md)
 - [GET /people/{personId}/legal-representatives/{legalRepresentativeId}](https://docs.peachfinance.com/api-docs/api-public/legal-representation/peach.people.legal.handlers.legal_representative_get_by_id.md)
 - [PUT /people/{personId}/legal-representatives/{legalRepresentativeId}](https://docs.peachfinance.com/api-docs/api-public/legal-representation/peach.people.legal.handlers.legal_representative_update.md)
